Subject: Re: lxc: cannot start Fedora30 and Debian Stretch in LXC containers

From: Mark Hindley <[email-masked]>
Date: Sat, 25 Apr 2020 10:48:38 +0100

On Sat, Apr 25, 2020 at 04:47:13AM +0900, Ryutaroh Matsumoto wrote:
> Hi Mark,
> 
> Thanks for your help.
> I was able to use Gentoo in the LXC container on Devuan.
> So this is not a general problem of LXC.
> It is specific to Devuan hosts and systemd containers.

Helpful to know.

> Booting with apparmor=0 did not help.
> I selected openrc. Replacing with sysv-rc did not help.

Thanks for trying.

> I wonder what is the cgroup mounts without cgroupfs-mount, so
> I tried apt-get purge cgroupfs-mount, and got the following.
> I have no idea how to remove cgroupfs-mount from Devuan 3:

See my answer to #428.

> Stating that Devuan LXC does not support distros with systemd
> and closing this but might be a good idea...

Yes, it might come to that. However, I would like to exhaust other possibilities
first.

A few other ideas to try: obviously the lxc container is looking for the host
/sys/fs/cgroup/systemd which doesn't exist. Does creating it manually help?
Does installing cgmanager help (I am not sure if that will create and manage
/sys/fs/cgroup/systemd)?

Mark